Hooks:PostHook(WeaponTweakData, "init", "NegevModInit", function(self)

	self.negev_crew = deep_clone(self.par_crew)
	if not BeardLib.Utils:FindMod("RestorationMod") then
		self.negev_crew.DAMAGE = 0.8
		self.negev_crew.CLIP_AMMO_MAX = 200
		self.negev_crew.NR_CLIPS_MAX = 2
		self.negev_crew.auto.fire_rate = 0.05715
	end

	self:SetupAttachmentPoint( "negev", {
		name = "a_bp",
		base_a_obj = "a_bp",
		position = Vector3( 0.125, 11.25, -0.5 ),
		rotation = RotationCAP(0, 0, 0)
	})
	-- self:SetupAttachmentPoint( "negev", {
		-- name = "a_fl",
		-- base_a_obj = "a_fl",
		-- position = Vector3( 0, 5, 0 ),
		-- rotation = RotationCAP(0, 0, 0)
	-- })
	self:SetupAttachmentPoint( "negev", {
		name = "a_m2",
		base_a_obj = "a_m",
		part_attach_data = {
			{"wpn_fps_lmg_negev_mag"}, 
			"g_mag"
		},
		position = Vector3( 0, 0, -4.5 ),
		rotation = RotationCAP(0, 0, 0)
	})
	self:SetupAttachmentPoint( "negev", {
		name = "a_m3",
		base_a_obj = "a_m",
		part_attach_data = {
			{"wpn_fps_lmg_negev_mag"}, 
			"g_mag"
		},
		position = Vector3( 0, 0, -9 ),
		rotation = RotationCAP(0, 0, 0)
	})

end)