local mod
    for _, m in pairs(BLT.Mods:Mods()) do
        if m:GetName() == "LMG Steelsights v0.64" then
            mod = m
            break
        end
    end

Hooks:PostHook( WeaponFactoryTweakData, "init", "NegevModInit", function(self)
	
	--Animation Change
	self.parts.wpn_fps_lmg_negev_fg_stick.override_weapon = {
		weapon_hold = "hk21"
	}
	
	
	--Magbox and Ammobelt group
	self.parts.wpn_fps_lmg_negev_mag.bullet_objects = {prefix = "g_bullet_", amount = 5}
	
	self.parts.wpn_fps_lmg_negev_m_belt2.bullet_objects = {prefix = "g_bullet_", amount = 7}
	self.parts.wpn_fps_lmg_negev_m_belt3.bullet_objects = {prefix = "g_bullet_", amount = 9}
	
	local negev_belt_list = {
		"wpn_fps_lmg_negev_m_belt2",
		"wpn_fps_lmg_negev_m_belt3"
	}	
	for i, belt_object in pairs(negev_belt_list) do
		self.parts[belt_object].thq_material_config = Idstring("units/mods/weapons/wpn_fps_lmg_negev_magbox/wpn_fps_lmg_negev_mag_thq")
		self.parts[belt_object].animations = {
			--reload_not_empty = "reload_not_empty",
			--reload = "reload",
			fire_steelsight = "recoil",
			fire = "recoil"
		}
	end

	
	--LMG Ironsight mod support
	if mod and mod:IsEnabled() then
		self.parts.wpn_fps_lmg_negev_ironsight.stance_mod = {
			wpn_fps_lmg_negev = {
				translation = Vector3(-0.35, 0, -0.35),
				rotation = Rotation(0, 0, -0)
			}
		}
	end

end )